﻿package dao

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
)

type SuperCloudIssuanceUserGroupManageWhiteListDao interface {
	FindSuperCloudIssuanceUserGroupManageWhiteList(uid int, name string) (resp []*FindSuperCloudIssuanceUserGroupManageWhiteListResponse, err error)
	FindAndCountSuperCloudIssuanceUserGroupManageWhiteList(uid int) (m []*models.SuperCloudIssuanceUserGroupManageWhiteList, total int64, err error)
	SaveSuperCloudIssuanceUserGroupManageWhiteList(id interface{}, m *models.SuperCloudIssuanceUserGroupManageWhiteList, forceColums ...string) (affected int64, err error)
	BatchSuperCloudIssuanceUserGroupManageWhiteList(list []*models.SuperCloudIssuanceUserGroupManageWhiteList) (int64, error)
	SuperCloudIssuanceUserGroupManageWhiteListDelete(id interface{}) (int64, error)
}

type FindSuperCloudIssuanceUserGroupManageWhiteListResponse struct {
	Id                      int    `json:"id" xorm:"pk autoincr INT(11)"`
	Uid                     int    `json:"uid" xorm:"not null default 0 comment('uid') INT(11)"`
	ActivateGroupId         int    `json:"activate_group_id"`
	CreateAt                string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt                string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
	Name                    string `json:"name" xorm:"not null default '' comment('群名称') VARCHAR(255)"`
	RobotId                 int    `json:"robot_id" xorm:"not null default 0 comment('机器人id') INT(11)"`
	ChatRoomId              string `json:"chat_room_id" xorm:"not null default '' comment('微信群id') VARCHAR(255)"`
	ChatRoomOwnerWxNickname string `json:"chat_room_owner_wx_nickname" xorm:"not null default '' comment('群所有者微信昵称') VARCHAR(255)"`
	ChatRoomOwnerWxHeadUrl  string `json:"chat_room_owner_wx_head_url" xorm:"not null default '' comment('群所有者微信头像') VARCHAR(255)"`
	ChatRoomOwner           string `json:"chat_room_owner" xorm:"not null default '' comment('群所有者') VARCHAR(255)"`
	MemberCount             int    `json:"member_count" xorm:"not null default 0 comment('群成员数') INT(11)"`
	BigHeadImgUrl           string `json:"big_head_img_url" xorm:"not null default '' comment('大的群头像') VARCHAR(255)"`
	SmallHeadImgUrl         string `json:"small_head_img_url" xorm:"not null default '' comment('小的群头像') VARCHAR(255)"`
}
