package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

type HappyOrchardRewardDb struct {
	Db   *xorm.Engine
	Sess *xorm.Session
}

func NewHappyOrchardRewardDb(engine *xorm.Engine) dao.HappyOrchardRewardDao {
	return &HappyOrchardRewardDb{Db: engine}
}
func NewHappyOrchardRewardDbSess(sess *xorm.Session) dao.HappyOrchardRewardDao {
	return &HappyOrchardRewardDb{Sess: sess}
}
func (h HappyOrchardRewardDb) GetHappyOrchardReward(id int) (m *models.HappyOrchardReward, err error) {
	m = new(models.HappyOrchardReward)
	has, err := h.Db.Where("id =?", id).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
func (h HappyOrchardRewardDb) GetHappyOrchardRewardSess(id int) (m *models.HappyOrchardReward, err error) {
	m = new(models.HappyOrchardReward)
	has, err := h.Sess.Where("id =?", id).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
func (h HappyOrchardRewardDb) FindHappyOrchardRewardById(id []int) (mm *[]models.HappyOrchardReward, err error) {
	var m []models.HappyOrchardReward
	if err := h.Db.In("id", id).Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
func (h HappyOrchardRewardDb) FindHappyOrchardRewardAll(rewardIds []int, start, limit int) (mm *[]models.HappyOrchardReward, err error) {
	var m []models.HappyOrchardReward
	if err := h.Db.Where("nums>0").In("id", rewardIds).OrderBy("sort desc,id desc").Limit(limit, start).Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
