package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"github.com/jinzhu/copier"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceUserRobotBindFollowDb(engine *xorm.Engine) dao.SuperCloudIssuanceUserRobotBindFollowDao {
	return &SuperCloudIssuanceUserRobotBindFollowDb{Db: engine}
}

type SuperCloudIssuanceUserRobotBindFollowDb struct {
	Db *xorm.Engine
}

func (s SuperCloudIssuanceUserRobotBindFollowDb) FindCloudIssuanceUserRobotBindFollow(uid int) (list []*dao.CloudIssuanceUserRobotBindFollowList, err error) {
	var m []*models.SuperCloudIssuanceUserRobotBindFollow
	err = s.Db.Where("uid=?", uid).OrderBy("id DESC").Find(&m)
	if err != nil {
		return
	}

	for _, v := range m {
		var tmp dao.CloudIssuanceUserRobotBindFollowList
		copier.Copy(&tmp, v)

		cloudIssuanceUserRobotBindFollowGroupDb := SuperCloudIssuanceUserRobotBindFollowGroupDb{Db: s.Db}
		groups, err := cloudIssuanceUserRobotBindFollowGroupDb.FindSuperCloudIssuanceUserRobotBindFollowGroup(map[string]interface{}{
			"key":   "activate_group_id",
			"value": v.ActivateGroupId,
		})
		if err != nil {
			return list, err
		}
		tmp.FollowGroupList = groups

		cloudIssuanceUserRobotBindFollowUserDb := SuperCloudIssuanceUserRobotBindFollowUserDb{Db: s.Db}
		users, err := cloudIssuanceUserRobotBindFollowUserDb.FindSuperCloudIssuanceUserRobotBindFollowUser(map[string]interface{}{
			"key":   "activate_group_id",
			"value": v.ActivateGroupId,
		})
		if err != nil {
			return list, err
		}
		tmp.FollowGroupList = groups
		tmp.FollowUserList = users

		list = append(list, &tmp)
	}
	return
}

func (s SuperCloudIssuanceUserRobotBindFollowDb) GetCloudIssuanceUserRobotBindFollow(id int) (m *models.SuperCloudIssuanceUserRobotBindFollow, err error) {
	m = new(models.SuperCloudIssuanceUserRobotBindFollow)
	has, err := s.Db.Where("id =?", id).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (s SuperCloudIssuanceUserRobotBindFollowDb) GetCloudIssuanceUserRobotBindFollowByChatRoomId(chatRoomId string, robotId int) (m *models.SuperCloudIssuanceUserRobotBindFollow, err error) {
	m = new(models.SuperCloudIssuanceUserRobotBindFollow)
	has, err := s.Db.Where("chat_room_id =? AND robot_id = ? AND state = 1", chatRoomId, robotId).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (s SuperCloudIssuanceUserRobotBindFollowDb) InsertCloudIssuanceUserRobotBindFollow(m *models.SuperCloudIssuanceUserRobotBindFollow) (id int, err error) {
	_, err = s.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	id = m.Id
	return id, nil
}

func (s SuperCloudIssuanceUserRobotBindFollowDb) SaveCloudIssuanceUserRobotBindFollow(id interface{}, m *models.SuperCloudIssuanceUserRobotBindFollow, forceColums ...string) (affected int64, err error) {
	if forceColums != nil {
		affected, err = s.Db.Where("id=?", id).Cols(forceColums...).Update(m)
	} else {
		affected, err = s.Db.Where("id=?", id).Update(m)
	}
	return
}

func (s SuperCloudIssuanceUserRobotBindFollowDb) DeleteCloudIssuanceUserRobotBindFollow(id interface{}) (affected int64, err error) {
	_, err = s.Db.Where("id=?", id).Delete(models.SuperCloudIssuanceUserRobotBindFollow{})
	if err != nil {
		return 0, err
	}
	return 1, nil
}

func (s SuperCloudIssuanceUserRobotBindFollowDb) CountCloudIssuanceUserRobotBindFollow(uid int) (total int64, err error) {
	var m []*models.SuperCloudIssuanceUserRobotBindFollow
	total, err = s.Db.Where("uid=?", uid).OrderBy("id DESC").FindAndCount(&m)
	return
}
