﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceUserRobotBindSourceDb(engine *xorm.Engine) dao.SuperCloudIssuanceUserRobotBindSourceDao {
	return &SuperCloudIssuanceUserRobotBindSourceDb{Db: engine}
}

type SuperCloudIssuanceUserRobotBindSourceDb struct {
	Db *xorm.Engine
}

func (s SuperCloudIssuanceUserRobotBindSourceDb) FindSuperCloudIssuanceUserRobotBindSource(page, pageSize int) (resp []*dao.FindSuperCloudIssuanceUserRobotBindSourceResponse, total int64, err error) {
	total, err = s.Db.Table("super_cloud_issuance_user_robot_bind_source").
		Join("LEFT", "super_cloud_issuance_user_robot_with_activate_group", "super_cloud_issuance_user_robot_bind_source.activate_group_id = super_cloud_issuance_user_robot_with_activate_group.id").
		OrderBy("super_cloud_issuance_user_robot_bind_source.id DESC").
		Cols("super_cloud_issuance_user_robot_bind_source.*, "+
			"super_cloud_issuance_user_robot_with_activate_group.chat_room_id, "+
			"super_cloud_issuance_user_robot_with_activate_group.chat_room_owner_wx_nickname, "+
			"super_cloud_issuance_user_robot_with_activate_group.chat_room_owner_wx_head_url,"+
			"super_cloud_issuance_user_robot_with_activate_group.chat_room_owner, "+
			"super_cloud_issuance_user_robot_with_activate_group.member_count, "+
			"super_cloud_issuance_user_robot_with_activate_group.big_head_img_url, "+
			"super_cloud_issuance_user_robot_with_activate_group.small_head_img_url").
		Limit(pageSize, (page-1)*pageSize).
		FindAndCount(&resp)
	return
}

func (s SuperCloudIssuanceUserRobotBindSourceDb) GetSuperCloudIssuanceUserRobotBindSource(activityGroupId int) (m *models.SuperCloudIssuanceUserRobotBindSource, err error) {
	m = new(models.SuperCloudIssuanceUserRobotBindSource)
	has, err := s.Db.Where("activate_group_id =?", activityGroupId).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
