package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceUserRobotWithActivateGroupDb(engine *xorm.Engine) dao.SuperCloudIssuanceUserRobotWithActivateGroupDao {
	return &SuperCloudIssuanceUserRobotWithActivateGroupDb{Db: engine}
}

type SuperCloudIssuanceUserRobotWithActivateGroupDb struct {
	Db *xorm.Engine
}

func (s SuperCloudIssuanceUserRobotWithActivateGroupDb) SaveSuperCloudIssuanceUserRobotWithActivateGroup(id interface{}, m *models.SuperCloudIssuanceUserRobotWithActivateGroup, forceColums ...string) (affected int64, err error) {
	if forceColums != nil {
		affected, err = s.Db.Where("id=?", id).Cols(forceColums...).Update(m)
	} else {
		affected, err = s.Db.Where("id=?", id).Update(m)
	}
	return
}

func (s SuperCloudIssuanceUserRobotWithActivateGroupDb) GetSuperCloudIssuanceUserRobotWithActivateGroup(id int) (m *models.SuperCloudIssuanceUserRobotWithActivateGroup, err error) {
	m = new(models.SuperCloudIssuanceUserRobotWithActivateGroup)
	has, err := s.Db.Where("id =?", id).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (s SuperCloudIssuanceUserRobotWithActivateGroupDb) DelSuperCloudIssuanceUserRobotWithActivateGroup(id int) (int64, error) {
	return s.Db.Where("id = ?", id).Delete(models.SuperCloudIssuanceUserRobotWithActivateGroup{})
}

func (s SuperCloudIssuanceUserRobotWithActivateGroupDb) InsertSuperCloudIssuanceUserRobotWithActivateGroup(m *models.SuperCloudIssuanceUserRobotWithActivateGroup) (id int, err error) {
	_, err = s.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	id = m.Id
	return id, nil
}

func (s SuperCloudIssuanceUserRobotWithActivateGroupDb) FindSuperCloudIssuanceUserRobotWithActivateGroup(uid, page, pageSize int, name string) (m []*models.SuperCloudIssuanceUserRobotWithActivateGroup, err error) {
	if name != "" {
		err = s.Db.Where("uid =? ", uid).And("name like ?", name).Limit(pageSize, (page-1)*pageSize).OrderBy("id ASC").Find(&m)
		if err != nil {
			return nil, zhios_order_relate_logx.Error(err)
		}
		return m, nil
	} else {
		err = s.Db.Where("uid =? ", uid).Limit(pageSize, (page-1)*pageSize).OrderBy("id ASC").Find(&m)
		if err != nil {
			return nil, zhios_order_relate_logx.Error(err)
		}
		return m, nil
	}
}

func (s SuperCloudIssuanceUserRobotWithActivateGroupDb) GetSuperCloudIssuanceUserRobotWithActivateGroupByChatRoomId(chatRoomId string, robotId int) (m *models.SuperCloudIssuanceUserRobotWithActivateGroup, err error) {
	m = new(models.SuperCloudIssuanceUserRobotWithActivateGroup)
	has, err := s.Db.Where("chat_room_id =? AND robot_id = ? AND state = 1", chatRoomId, robotId).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
