package md

type BuyPackageRecordsRequest struct {
	Page  int `json:"page"`
	Limit int `json:"limit"`
}
type BuyPackageRecordsResponse struct {
	Id          int    `json:"id"`
	OrdNo       string `json:"ord_no"`
	TradeNo     string `json:"trade_no"`
	PackageId   int    `json:"package_id"`
	Uid         int    `json:"uid"`
	Amount      string `json:"amount"`
	State       int    `json:"state"`
	PayChannel  int    `json:"pay_channel"`
	Months      int    `json:"months"`
	PackageName string `json:"package_name"`
	CreateAt    string `json:"create_at" `
	UpdateAt    string `json:"update_at" `
}
type ActivityGroupListRequest struct {
	Page  int    `json:"page"`
	Limit int    `json:"limit"`
	Name  string `json:"name"`
}
type AddActivityGroupRequest struct {
	Name                    string `json:"name"`
	ChatRoomId              string `json:"chat_room_id"`
	ChatRoomOwnerWxNickname string `json:"chat_room_owner_wx_nickname"`
	ChatRoomOwnerWxHeadUrl  string `json:"chat_room_owner_wx_head_url"`
	ChatRoomOwner           string `json:"chat_room_owner"`
	MemberCount             int    `json:"member_count"`
	BigHeadImgUrl           string `json:"big_head_img_url"`
	SmallHeadImgUrl         string `json:"small_head_img_url"`
}
type SetStateActivityGroup struct {
	Id    int `json:"id"`
	State int `json:"state"`
}
type SourceGroupListRequest struct {
	Page  int `json:"page"`
	Limit int `json:"limit"`
}
type PreviewSourceRequest struct {
	ActivateGroupId int `json:"activate_group_id"`
	Page            int `json:"page"`
	Limit           int `json:"limit"`
}
type JoinSourceGroupRequest struct {
	FollowActivateGroupId int    `json:"follow_activate_group_id"`
	Name                  string `json:"name"`
	FollowChatRoomId      string `json:"follow_chat_room_id"`
	FollowChatRoomOwner   string `json:"follow_chat_room_owner"`
	FollowChatMemberCount int    `json:"follow_chat_member_count"`
	FollowBigHeadImgUrl   string `json:"follow_big_head_img_url"`
	FollowSmallHeadImgUrl string `json:"follow_small_head_img_url"`
	JoinActivateGroupId   int    `json:"join_activate_group_id"`
}
type AddGroupWelcomeMessageListRequest struct {
	Page  int `json:"page"`
	Limit int `json:"limit"`
}
type SetSateAddGroupWelcomeMessageRequest struct {
	ActivateGroupId int `json:"activate_group_id"`
	State           int `json:"state"`
}

type UpdateSateAddGroupWelcomeMessageRequest struct {
	ActivateGroupId int    `json:"activate_group_id"`
	Content         string `json:"content"`
}
type KeywordReplyWithActivateGroupListRequest struct {
	Page  int `json:"page"`
	Limit int `json:"limit"`
}
type SetSateKeywordReplyWithActivateGroupRequest struct {
	ActivateGroupId int `json:"activate_group_id"`
	State           int `json:"state"`
}
type SetIsFollowOfficialKeywordReplyWithActivateGroupRequest struct {
	ActivateGroupId  int `json:"activate_group_id"`
	IsFollowOfficial int `json:"is_follow_official"`
}
type UpdateKeywordReplyWithActivateGroupRequest struct {
	ActivateGroupId int `json:"activate_group_id"`
	List            []struct {
		KeyWord      string `json:"keyword"`
		Kind         int    `json:"kind"`
		ReplyContent string `json:"reply_content"`
	} `json:"list"`
}

type FollowGroupIndexResponse struct {
	List                       []FollowGroupAddRequest `json:"list"`
	FollowGroupUserNums        int                     `json:"follow_group_user_nums"`         //群跟发用户数量
	FollowGroupRelayNums       int                     `json:"follow_group_relay_nums"`        //群跟发可转发群数
	FollowGroupBindNums        int                     `json:"follow_group_bind_nums"`         //群跟发可绑定群数
	AlreadyFollowGroupBindNums int                     `json:"already_follow_group_bind_nums"` //群跟发已绑定群数
}

type FollowGroupAddRequest struct {
	Id              int                                 `json:"id"`
	ActivateGroupId int                                 `json:"activate_group_id"`
	ChatRoomId      string                              `json:"chat_room_id"`
	Name            string                              `json:"name"`
	ChatRoomOwner   string                              `json:"chat_room_owner"`
	BigHeadImgUrl   string                              `json:"big_head_img_url"`
	SmallHeadImgUrl string                              `json:"small_head_img_url"`
	MemberCount     string                              `json:"member_count"`
	State           int                                 `json:"state"`
	FollowUserList  []RobotMacGetChatRoomMemberResponse `json:"follow_user_list"`
	FollowGroupList []struct {
		FollowActivateGroupId int    `json:"follow_activate_group_id"`
		ChatRoomId            string `json:"chat_room_id"`
		NickName              string `json:"nick_name"`
		ChatRoomOwner         string `json:"chat_room_owner"`
		BigHeadImgUrl         string `json:"big_head_img_url"`
		SmallHeadImgUrl       string `json:"small_head_img_url"`
		MemberCount           string `json:"member_count"`
	} `json:"follow_group_list"`
}

type RobotMacGetChatRoomMemberResponse struct {
	UserName        string `json:"user_name"`          //微信号
	NickName        string `json:"nick_name"`          //昵称
	DisplayName     string `json:"display_name"`       //群昵称
	BigHeadImgUrl   string `json:"big_head_img_url"`   //头像
	SmallHeadImgUrl string `json:"small_head_img_url"` //头像(缩略图)
	InviteUser      string `json:"invite_user"`        //邀请人微信号
}

type FollowGroupIsUseRequest struct {
	Id    int `json:"id"`
	State int `json:"state"`
}
type FollowGroupDeleteRequest struct {
	Id int `json:"id"`
}

type GroupManageSaveRequest struct {
	IsOpenOut           int `json:"is_open_out"`
	OutSendFile         int `json:"out_send_file"`
	OutSendCard         int `json:"out_send_card"`
	OutSendLink         int `json:"out_send_link"`
	OutSendApplet       int `json:"out_send_applet"`
	OutAutoAddBlackList int `json:"out_auto_add_black_list"`
}

type GroupManageBlackListRequest struct {
	Name string `json:"name"`
}

type GroupManageBlackSaveRequest struct {
	ActivateGroupId int    `json:"activate_group_id"`
	ChatRoomId      string `json:"chat_room_id"`
	ChatRoomOwner   string `json:"chat_room_owner"`
	BigHeadImgUrl   string `json:"big_head_img_url"`
	SmallHeadImgUrl string `json:"small_head_img_url"`
}

type GroupManageWhiteListRequest struct {
	Name string `json:"name"`
}

type GroupManageWhiteSaveRequest struct {
	ActivateGroupId int    `json:"activate_group_id"`
	ChatRoomId      string `json:"chat_room_id"`
	ChatRoomOwner   string `json:"chat_room_owner"`
	BigHeadImgUrl   string `json:"big_head_img_url"`
	SmallHeadImgUrl string `json:"small_head_img_url"`
}

type GroupManageBlackWithUserListRequest struct {
	ActivateGroupId int    `json:"activate_group_id"`
	ChatRoomId      string `json:"chat_room_id"`
}

type GroupManageBlackWithUserSaveRequest struct {
	ActivateGroupId int      `json:"activate_group_id"`
	WxIds           []string `json:"wc_ids"`
}

type GroupManageWhiteWithUserListRequest struct {
	ActivateGroupId int    `json:"activate_group_id"`
	ChatRoomId      string `json:"chat_room_id"`
}

type GroupManageWhiteWithUserSaveRequest struct {
	ActivateGroupId int      `json:"activate_group_id"`
	WxIds           []string `json:"wc_ids"`
}
